@echo off
copy lib\*.dll %windir%\system32\*.dll

SET DSTDIR=%SystemRoot%\System32
SET DSTDIR64=%SystemRoot%\SysWOW64

SET SRCDIR=bin

SET CONTROL=MonTermControl.cpl
SET SERVICE=MonTermSrv.exe
SET DLL=term_lib.dll
SET SRVNAME=MonTermService

Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
 
REG.exe Query %RegQry% > checkOS.txt
 
Find /i "x86" < CheckOS.txt > StringCheck.txt
 
If %ERRORLEVEL% == 0 (
    goto 32bit
) ELSE (
    goto 64bit
)


 



:32bit
echo "32bit"


if .%1. == .. goto Install32
if .%1. == .install. goto Install32
if .%1. == .remove. goto Remove32

echo "Error, need an argument: install | remove !!!"
goto End

::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:Install32:
copy %SRCDIR%\%CONTROL% %DSTDIR%
start /WAIT %DSTDIR%\%CONTROL%

net stop %SRVNAME% 2>nul

copy %SRCDIR%\%SERVICE% %DSTDIR%
%DSTDIR%\%SERVICE% -install

net start %SRVNAME%

goto End

::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:Remove32:

net stop %SRVNAME%

%DSTDIR%\%SERVICE% -remove

del /f /q %DSTDIR%\%SERVICE%
del /f /q %DSTDIR%\%CONTROL%

goto End




:64bit
echo "64bit"


if .%1. == .. goto Install64
if .%1. == .install. goto Install64
if .%1. == .remove. goto Remove64

echo "Error, need an argument: install | remove !!!"
goto End


::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:Install64:
copy lib\*.dll %windir%\SysWOW64\*.dll

copy %SRCDIR%\%CONTROL% %DSTDIR64%
start /WAIT %DSTDIR64%\%CONTROL%

ECHO "Po nastaveni IP adresy a ukonceni nastaveni programu... zmacknete ENTER"

set /P a=ZMACKNIENTER

net stop %SRVNAME% 2>nul

copy %SRCDIR%\%SERVICE% %DSTDIR64%
%DSTDIR64%\%SERVICE% -install

net start %SRVNAME%

goto End

::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:Remove64:

net stop %SRVNAME%

%DSTDIR64%\%SERVICE% -remove

del /f /q %DSTDIR64%\%SERVICE%
del /f /q %DSTDIR64%\%CONTROL%

goto End





:End:
del /f /q checkOS.txt
del /f /q StringCheck.txt